# Class QueryController

## Index

### Methods

- cancelQuery
- debugInfo
- disable
- enable
- executeQuery
- fetchMore
- fetchQueryExecutionPlan
- getEndpoint
- getLastQuery
- getLastResults
- setEndpoint

### Properties

- disabled
- logger
- ID

### Constructors

- constructor

## Methods

### cancelQuery

- cancelQuery(): void

- - Defined in controllers/QueryController.ts :416

  #### Returns void

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  #### Returns any

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  #### Returns void

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  #### Returns void

### executeQuery

- executeQuery(options?: IQueryOptions): Promise<IQueryResults>

- - Defined in controllers/QueryController.ts :198

  #### Parameters

  - ##### Optional options: IQueryOptions

  #### Returns Promise<IQueryResults>

### fetchMore

- fetchMore(count: number): Promise<IQueryResults>

- - Defined in controllers/QueryController.ts :357

  #### Parameters

  - ##### count: number

  #### Returns Promise<IQueryResults>

### fetchQueryExecutionPlan

- fetchQueryExecutionPlan(): Promise<ExecutionPlan>

- - Defined in controllers/QueryController.ts :181

  #### Returns Promise<ExecutionPlan>

### getEndpoint

- getEndpoint(): ISearchEndpoint

- - Defined in controllers/QueryController.ts :152

  #### Returns ISearchEndpoint

### getLastQuery

- getLastQuery(): IQuery

- - Defined in controllers/QueryController.ts :165

  #### Returns IQuery

### getLastResults

- getLastResults(): IQueryResults

- - Defined in controllers/QueryController.ts :173

  #### Returns IQueryResults

### setEndpoint

- setEndpoint(endpoint: SearchEndpoint): void

- - Defined in controllers/QueryController.ts :143

  #### Parameters

  - ##### endpoint: SearchEndpoint

  #### Returns void

## Properties

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

## Constructors

### constructor

- new QueryController(element: HTMLElement, options: ISearchInterfaceOptions, usageAnalytics: IAnalyticsClient, searchInterface: SearchInterface): QueryController

- - Defined in controllers/QueryController.ts :113

  #### Parameters

  - ##### element: HTMLElement

  - ##### options: ISearchInterfaceOptions

  - ##### usageAnalytics: IAnalyticsClient

  - ##### searchInterface: SearchInterface

  #### Returns QueryController

### Hierarchy

- RootComponent